# Wormhole Token List

This repository served as a reference guide, designed for both community members and developers. The purpose of this list was to provide detailed information about various tokens within the Wormhole ecosystem. This list is not used to determine the tokens listed on portalbridge.com.

Additional context:
- Before November 2023, some information in this repository was *also* used to populate the token list and display metadata about the tokens on the main page of portalbridge.com. 
- As of January 2024, the legacy 'Advanced Tools' part of Portal Bridge still uses some of that data. To keep legacy functionality intact after the archival of this repository, a snapshot of the data has been extracted and placed in the [official Portal repository](https://github.com/XLabs/portal-bridge-ui). As a consequence, from January 2024, no downstream product officially uses the wormhole-token-list repo.
- To request your metadata to be updated in the legacy part of Portal, please ask on the Discord server: https://discord.gg/wormholecrypto
- Adding or updating tokens in this manner does not mean that the token's metadata will be propagated across other Wormhole applications or Block Explorers, nor does it mean that the token being present in the list is a requirement to be supported by Wormhole as an xAsset. The inclusion in this list was a separate process from integration into individual Wormhole apps.

## Update instructions (legacy)

- [Update instructions](updating.md)

## Reference information for humans

Known token addresses by destination chain:

- to [Solana](content/dest_solana.md)
- to [Ethereum](content/dest_ethereum.md)
- to [BSC](content/dest_bsc.md)
- to [Terra](content/dest_terra.md)
- to [Polygon](content/dest_polygon.md)
- to [Avalanche](content/dest_avalanche.md)
- to [Oasis](content/dest_oasis.md)
- to [Celo](content/dest_celo.md)
- to [Algorand](content/dest_algorand.md)
- to [Arbitrum](content/dest_arbitrum.md)
- to [Fantom](content/dest_fantom.md)
- to [Injective](content/dest_injective.md)
- to [Moonbeam](content/dest_moonbeam.md)
- to [Aptos](content/dest_aptos.md)

Resultant wrapped-asset addresses by source chain:

- from [Solana](content/source_solana.md)
- from [Ethereum](content/source_ethereum.md)
- from [BSC](content/source_bsc.md)
- from [Terra](content/source_terra.md)
- from [Polygon](content/source_polygon.md)
- from [Avalanche](content/source_avalanche.md)
- from [Oasis](content/source_oasis.md)
- from [Celo](content/source_celo.md)
- from [Fantom](content/source_fantom.md)
- from [Near](content/source_near.md)

## CSV (use raw version)

- [by_dest.csv](content/by_dest.csv)
- [by_source.csv](content/by_source.csv)
